#include "pkix_messages.h"
#include <stdio.h>
int main(int argc, char* argv[])
{
  buffer_t buf;
	CertTemplate tmplt; 
	bool b = false; 

  tmplt.display_state_flags(buf);
  fprintf(stdout, "%.*s", buf.data_len, buf.data);

	//	if ((status = Init(Init_CA)) != 0) {
//		cout << "Status " << status << "\n";
//		return status; 
//	}

	b = tmplt.validity.is_present();
  fprintf(stdout, "validity.is_present returned %b\n", b);
  fflush(stdout);
  buf.clear();
  tmplt.display_state_flags(buf);
  fprintf(stdout, "%.*s", buf.data_len, buf.data);

	return 0; 
}
